GCLOUD_SQL_INSTANCES_PATCH(1)

NAME

gcloud sql instances patch - updates the settings of a Cloud SQL instance

SYNOPSIS

gcloud sql instances patch INSTANCE [--activation-policy ACTIVATION_POLICY] [--assign-ip] [--async] [--authorized-gae-apps APP,[APP,...] | --clear-gae-apps] [--authorized-networks NETWORK,[NETWORK,...] | --clear-authorized-networks] [--backup-start-time BACKUP_START_TIME | --no-backup] [--clear-database-flags | --database-flags FLAG=VALUE,[FLAG=VALUE,...]] [--diff] [--enable-bin-log] [--enable-database-replication] [--follow-gae-app FOLLOW_GAE_APP] [--gce-zone GCE_ZONE] [--pricing-plan PRICING_PLAN, -p PRICING_PLAN] [--replication REPLICATION] [--require-ssl] [--tier TIER, -t TIER] [GLOBAL-FLAG ...]

DESCRIPTION
Updates the settings of a Cloud SQL instance.

POSITIONAL ARGUMENTS
INSTANCE
    Cloud SQL instance ID.

FLAGS
--activation-policy ACTIVATION_POLICY
    The activation policy for this instance. This specifies when the instance should be activated and is applicable only when the instance state is RUNNABLE.
--assign-ip
    The instance must be assigned an IP address. Use --no-assign-ip to disable.
--async
    Do not wait for the operation to complete.
--authorized-gae-apps APP,[APP,...]
    A list of App Engine app IDs that can access this instance.
--authorized-networks NETWORK,[NETWORK,...]
    The list of external networks that are allowed to connect to the instance. Specified in CIDR notation, also known as 'slash' notation (e.g. 192.168.100.0/24).
--backup-start-time BACKUP_START_TIME
    The start time of daily backups, specified in the 24 hour format - HH:MM, in the UTC timezone.
--clear-authorized-networks
    Clear the list of external networks that are allowed to connect to the instance.
--clear-database-flags
    Clear the database flags set on the instance. WARNING: Instance will be restarted.
--clear-gae-apps
    Specified to clear the list of App Engine apps that can access this instance.
--database-flags FLAG=VALUE,[FLAG=VALUE,...]
    A space-separated list of database flags to set on the instance. Use an equals sign to separate flag name and value. Flags without values, like skip_grant_tables, can be written out without a value after, e.g., skip_grant_tables=. Use on/off for booleans. View the Instance Resource API for allowed flags. (e.g., --database-flags max_allowed_packet=55555 skip_grant_tables= log_output=1)
--diff
    Show what changed as a result of the update.
--enable-bin-log
    Enable binary log. If backup configuration is disabled, binary log should be disabled as well. Use --no-enable-bin-log to disable.
--enable-database-replication
    Enable database replication. Applicable only for read replica instance(s). WARNING: Instance will be restarted. Use --no-enable-database-replication to disable.
--follow-gae-app FOLLOW_GAE_APP
    The App Engine app this instance should follow. It must be in the same region as the instance. WARNING: Instance may be restarted.
--gce-zone GCE_ZONE
    The preferred Compute Engine zone (e.g. us-central1-a, us-central1-b, etc.). WARNING: Instance may be restarted.
--no-backup
    Specified if daily backup should be disabled.
--pricing-plan PRICING_PLAN, -p PRICING_PLAN
    The pricing plan for this instance.
--replication REPLICATION
    The type of replication this instance uses.
--require-ssl
    mysqld should default to 'REQUIRE X509' for users connecting over IP. Use --no-require-ssl to disable.
--tier TIER, -t TIER
    The tier of service for this instance, for example D0, D1. WARNING: Instance will be restarted.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.